package model

import (
	"time"

	"go.mongodb.org/mongo-driver/bson/primitive"
)

// 试题
type Test struct {
	Id       primitive.ObjectID `bson:"_id,omitempty" json:"_id"`
	BankId   primitive.ObjectID `bson:"bankId,omitempty" json:"bankId"`
	Question string             `bson:"question,omitempty" json:"question,omitempty"`
	// {"A":"DDD","B":"DDD","C":"DDD","D":"DDD"}
	// ["A"]
	// {"true":"正确","false":"错误"}
	// ["true"]
	AnswerItem *AnswerItem `bson:"answerItem,omitempty" json:"answerItem,omitempty"`
	Answer     []string    `bson:"answer,omitempty" json:"answer,omitempty"`
	Analyze    string      `bson:"analyze,omitempty" json:"analyze,omitempty"` // 解析
	Type       int         `bson:"type,omitempty" json:"type,omitempty"`       // 1 选择题 2 判断题
	State      int         `bson:"state,omitempty" json:"state,omitempty"`     //-1 禁用 1 正常
	CreateTime time.Time   `bson:"createTime,omitempty" json:"createTime,omitempty"`
	UpdateTime time.Time   `bson:"updateTime,omitempty" json:"updateTime,omitempty"`
}

type AnswerItem struct {
	A     string `bson:"A,omitempty" json:"A,omitempty"`
	B     string `bson:"B,omitempty" json:"B,omitempty"`
	C     string `bson:"C,omitempty" json:"C,omitempty"`
	D     string `bson:"D,omitempty" json:"D,omitempty"`
	True  string `bson:"true,omitempty" json:"true,omitempty"`
	False string `bson:"false,omitempty" json:"false,omitempty"`
}
